### Enumeration

# Camel CmpHeaderKind

#### Declaration

    enum Camel.CmpHeaderKind

#### Description

No description available.

#### Members

`CMP_HEADER_CONTAINS`

  No description available.

  - Value: `0`
  - Available since: 1.2
`CMP_HEADER_MATCHES`

  No description available.

  - Value: `1`
  - Available since: 1.2
`CMP_HEADER_STARTS_WITH`

  No description available.

  - Value: `2`
  - Available since: 1.2
`CMP_HEADER_ENDS_WITH`

  No description available.

  - Value: `3`
  - Available since: 1.2
`CMP_HEADER_EXISTS`

  No description available.

  - Value: `4`
  - Available since: 1.2
`CMP_HEADER_SOUNDEX`

  No description available.

  - Value: `5`
  - Available since: 1.2
`CMP_HEADER_REGEX`

  No description available.

  - Value: `6`
  - Available since: 1.2
`CMP_HEADER_FULL_REGEX`

  No description available.

  - Value: `7`
  - Available since: 1.2
`CMP_HEADER_HAS_WORDS`

  No description available.

  - Value: `8`
  - Available since: 1.2